GrailsJunit4ClassRunner (Grails 3.2.8)
Date: 2017-03-23

Package: org.grails.test.context.junit4

## [Groovy] Class GrailsJunit4ClassRunner

- org.grails.test.context.junit4.GrailsJunit4ClassRunner

- Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.lang.String` | `getDefaultContextLoaderClassName(java.lang.Class<?> clazz)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.test.context.junit4.SpringJUnit4ClassRunner` | `org.springframework.test.context.junit4.SpringJUnit4ClassRunner#getDescription(), org.springframework.test.context.junit4.SpringJUnit4ClassRunner#run(org.junit.runner.notification.RunNotifier), org.springframework.test.context.junit4.SpringJUnit4ClassRunner#setScheduler(org.junit.runners.model.RunnerScheduler), org.springframework.test.context.junit4.SpringJUnit4ClassRunner#getTestClass(), org.springframework.test.context.junit4.SpringJUnit4ClassRunner#sort(org.junit.runner.manipulation.Sorter), org.springframework.test.context.junit4.SpringJUnit4ClassRunner#filter(org.junit.runner.manipulation.Filter), org.springframework.test.context.junit4.SpringJUnit4ClassRunner#testCount(), org.springframework.test.context.junit4.SpringJUnit4ClassRunner#wait(long, int), org.springframework.test.context.junit4.SpringJUnit4ClassRunner#wait(long), org.springframework.test.context.junit4.SpringJUnit4ClassRunner#wait(), org.springframework.test.context.junit4.SpringJUnit4ClassRunner#equals(java.lang.Object), org.springframework.test.context.junit4.SpringJUnit4ClassRunner#toString(), org.springframework.test.context.junit4.SpringJUnit4ClassRunner#hashCode(), org.springframework.test.context.junit4.SpringJUnit4ClassRunner#getClass(), org.springframework.test.context.junit4.SpringJUnit4ClassRunner#notify(), org.springframework.test.context.junit4.SpringJUnit4ClassRunner#notifyAll()`
    `class org.junit.runners.BlockJUnit4ClassRunner` | `org.junit.runners.BlockJUnit4ClassRunner#getDescription(), org.junit.runners.BlockJUnit4ClassRunner#setScheduler(org.junit.runners.model.RunnerScheduler), org.junit.runners.BlockJUnit4ClassRunner#getTestClass(), org.junit.runners.BlockJUnit4ClassRunner#run(org.junit.runner.notification.RunNotifier), org.junit.runners.BlockJUnit4ClassRunner#sort(org.junit.runner.manipulation.Sorter), org.junit.runners.BlockJUnit4ClassRunner#filter(org.junit.runner.manipulation.Filter), org.junit.runners.BlockJUnit4ClassRunner#testCount(), org.junit.runners.BlockJUnit4ClassRunner#wait(long, int), org.junit.runners.BlockJUnit4ClassRunner#wait(long), org.junit.runners.BlockJUnit4ClassRunner#wait(), org.junit.runners.BlockJUnit4ClassRunner#equals(java.lang.Object), org.junit.runners.BlockJUnit4ClassRunner#toString(), org.junit.runners.BlockJUnit4ClassRunner#hashCode(), org.junit.runners.BlockJUnit4ClassRunner#getClass(), org.junit.runners.BlockJUnit4ClassRunner#notify(), org.junit.runners.BlockJUnit4ClassRunner#notifyAll()`

- - ### Method Detail

    - #### protected java.lang.String getDefaultContextLoaderClassName(java.lang.Class<?> clazz)